For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
            • POSTCreate Site
            • GETList Sites
            • GETGet Site
            • PUTUpdate Site
            • DELDelete Site
              • GETGet Site’s Routes
              • POSTCreate Site Route
              • PUTUpdate Site’s Routes
              • GETGet Site Route
              • PUTUpdate Site Route
              • DELDelete Site Route
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSitesSite Routes

Update Site’s Routes

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/sites/:site_id/routes
PUT
/stores/:store_hash/v3/sites/:site_id/routes
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/sites/1/routes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {}
>]'
1{
2 "data": [
3 {
4 "id": 123,
5 "matching": "5",
6 "route": "/my-amazing-product",
7 "type": "brand"
8 },
9 {
10 "id": 345,
11 "matching": "5",
12 "route": "/my-amazing-product",
13 "type": "blog"
14 },
15 {
16 "id": 234,
17 "matching": "5",
18 "route": "/my-amazing-product",
19 "type": "returns"
20 }
21 ],
22 "meta": {
23 "pagination": {
24 "total": 80,
25 "count": 50,
26 "per_page": 50,
27 "current_page": 50,
28 "links": {
29 "next": "?page=2&limit=50",
30 "current": "?page=1&limit=50"
31 },
32 "total_pages": 2
33 }
34 }
35}
Upsert routes for site with ID `{site_id}`. ## Usage Notes * `id` is required when updating an existing route.
Was this page helpful?
Previous

Create Site Route

Next

Get Site Route

Built with

Upsert routes for site with ID {site_id}.

Usage Notes

  • id is required when updating an existing route.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

site_idintegerRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
idintegerOptional
Unique ID for this route. Required when updating an existing route.
matchingstringOptional

Depending on the resource type, this can be an ID (matching a specific item), or a ”*” wildcard (matching all items of that type).

For example, a route with a type: “product” and matching: “5” will be used for the product with the ID of 5.

routestringOptional

The route template that will be used to generate the URL for the requested resource.

Supports several tokens:

  • {id} The ID of the requested item.
  • {slug} The slug for the requested item (if available). Note: the slug value may contain / slash.
  • {language} The language string that the client is using.
typeenumOptional

The type of resource being routed to; supported types.

Response

datalist of objects
metaobject
Meta data relating to pagination.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.